aboutsummaryrefslogtreecommitdiff
path: root/src/wrappers/checkin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/wrappers/checkin.sh')
-rw-r--r--src/wrappers/checkin.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/wrappers/checkin.sh b/src/wrappers/checkin.sh
new file mode 100644
index 000000000..c9c564a23
--- /dev/null
+++ b/src/wrappers/checkin.sh
@@ -0,0 +1,7 @@
+# Check if input files exist.
+for f; do
+ if [ -n "$f" ] && ! [ -f "$f" ]; then
+ err "File '$f' not found."
+ exit 1
+ fi
+done